using System;
using System.Globalization;
using System.Linq;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class ByteArrayToBooleanConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is byte[] bytes)
                return bytes.Any();
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}